Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class ExitNotification

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.codehaus.groovy.tools.shell.ExitNotification

    class ExitNotification
    extends java.lang.Error

Notification to signal the shell to exit.

Authors:
  Jason Dillon

Version:
  \$Id\$

Property Summary
`int` | `code` The exit code.

Constructor Summary
`ExitNotification(int code)`

Method Summary

Methods inherited from class java.lang.Error
java.lang.Error#printStackTrace(), java.lang.Error#printStackTrace(java.io.PrintStream), java.lang.Error#printStackTrace(java.io.PrintWriter), java.lang.Error#fillInStackTrace(), java.lang.Error#getCause(), java.lang.Error#initCause(java.lang.Throwable), java.lang.Error#toString(), java.lang.Error#getMessage(), java.lang.Error#getLocalizedMessage(), java.lang.Error#getStackTrace(), java.lang.Error#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Error#addSuppressed(java.lang.Throwable), java.lang.Error#getSuppressed(), java.lang.Error#wait(long), java.lang.Error#wait(long, int), java.lang.Error#wait(), java.lang.Error#equals(java.lang.Object), java.lang.Error#hashCode(), java.lang.Error#getClass(), java.lang.Error#notify(), java.lang.Error#notifyAll()

Methods inherited from class java.lang.Throwable
java.lang.Throwable#printStackTrace(), java.lang.Throwable#printStackTrace(java.io.PrintStream), java.lang.Throwable#printStackTrace(java.io.PrintWriter), java.lang.Throwable#fillInStackTrace(), java.lang.Throwable#getCause(), java.lang.Throwable#initCause(java.lang.Throwable), java.lang.Throwable#toString(), java.lang.Throwable#getMessage(), java.lang.Throwable#getLocalizedMessage(), java.lang.Throwable#getStackTrace(), java.lang.Throwable#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Throwable#addSuppressed(java.lang.Throwable), java.lang.Throwable#getSuppressed(), java.lang.Throwable#wait(long), java.lang.Throwable#wait(long, int), java.lang.Throwable#wait(), java.lang.Throwable#equals(java.lang.Object), java.lang.Throwable#hashCode(), java.lang.Throwable#getClass(), java.lang.Throwable#notify(), java.lang.Throwable#notifyAll()

Property Detail

### code

    final int code

  The exit code.

Constructor Detail

### ExitNotification

    ExitNotification(int code)

Groovy Documentation